Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartPaperInfo

    java.lang.Object
      jet.report.xls.ChartPaperInfo

Direct Known Subclasses:
  ChartPaper2DInfo, ChartPaper3DInfo

    public class ChartPaperInfo

extends java.lang.Object

contains the information of chart paper in the file.

Constructor Summary
`ChartPaperInfo()`
`ChartPaperInfo(int x, int y, int width, int height, ChartAreaInfo paperAreaInfo, LineFormatInfo gridX, LineFormatInfo gridY, AreaFormatInfo wall, AxisInfo xAxisInfo, YAxisInfo yAxisInfo)` Constructs class ChartPaperInfo and sets its fields appropriately.

Method Summary
`LineFormatInfo` | `getGridX()` Get the Information of gridline of x axis
`LineFormatInfo` | `getGridY()` Get the Information of gridline of y axis
`int` | `getHeight()` Get the height of chart paper
`ChartAreaInfo` | `getPaperArea()` Get the Information of paper Area
`AreaFormatInfo` | `getWall()` Get the Information of wall
`int` | `getWidth()` Get the width of chart paper
`int` | `getX()` Get the x position of chart paper
`AxisInfo` | `getXAxis()` Get the Information of x axis
`int` | `getY()` Get the y position of chart paper
`YAxisInfo` | `getYAxis()` Get the Information of y axis
`void` | `setGridX(LineFormatInfo gridX)` Set the Information of gridline of x axis
`void` | `setGridY(LineFormatInfo gridY)` Set the Information of gridline of y axis
`void` | `setHeight(int height)` Set the height of chart paper
`void` | `setPaperArea(ChartAreaInfo paperAreaInfo)` Set the Information of paper Area
`void` | `setWall(AreaFormatInfo wall)` Set the Information of wall
`void` | `setWidth(int width)` Set the width of chart paper
`void` | `setX(int x)` Set the x position of chart paper
`void` | `setXAxis(AxisInfo xAxis)` Set the Information of x axis
`void` | `setY(int y)` Set the y position of chart paper
`void` | `setYAxis(YAxisInfo yAxis)` Set the Information of y axis

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPaperInfo

    public ChartPaperInfo()

### ChartPaperInfo

    public ChartPaperInfo(int x,
                          int y,
                          int width,
                          int height,
                          ChartAreaInfo paperAreaInfo,
                          LineFormatInfo gridX,
                          LineFormatInfo gridY,
                          AreaFormatInfo wall,
                          AxisInfo xAxisInfo,
                          YAxisInfo yAxisInfo)

  Constructs class ChartPaperInfo and sets its fields appropriately.

  Parameters:
    `x` - The x-position of chart paper upper-left corner
    `y` - The y-position of chart paper upper-left corner
    `width` - Width of the chart paper
    `height` - Height of the chart paper
    `paperAreaInfo` - The information of the chart paper
    `gridX` - The information of the gridline in x axis
    `gridY` - The information of the gridline in y axis
    `wall` - The information of wall
    `xAxisInfo` - The information of x axis
    `yAxisInfo` - The information of y axis

Method Detail

### setX

    public void setX(int x)

  Set the x position of chart paper

### getX

    public int getX()

  Get the x position of chart paper

  Returns:
    the x position of chart paper

### setY

    public void setY(int y)

  Set the y position of chart paper

### getY

    public int getY()

  Get the y position of chart paper

  Returns:
    the y position of chart paper

### setWidth

    public void setWidth(int width)

  Set the width of chart paper

### getWidth

    public int getWidth()

  Get the width of chart paper

  Returns:
    the width of chart paper

### setHeight

    public void setHeight(int height)

  Set the height of chart paper

### getHeight

    public int getHeight()

  Get the height of chart paper

  Returns:
    the height of chart paper

### setPaperArea

    public void setPaperArea(ChartAreaInfo paperAreaInfo)

  Set the Information of paper Area

  Parameters:
    `paperAreaInfo` - the Information of paper Area

### getPaperArea

    public ChartAreaInfo getPaperArea()

  Get the Information of paper Area

  Returns:
    the Information of paper Area

### setGridX

    public void setGridX(LineFormatInfo gridX)

  Set the Information of gridline of x axis

  Parameters:
    `gridX` - the Information of gridline of x axis

### getGridX

    public LineFormatInfo getGridX()

  Get the Information of gridline of x axis

  Returns:
    the Information of gridline of x axis

### setGridY

    public void setGridY(LineFormatInfo gridY)

  Set the Information of gridline of y axis

  Parameters:
    `gridY` - the Information of gridline of y axis

### getGridY

    public LineFormatInfo getGridY()

  Get the Information of gridline of y axis

  Returns:
    the Information of gridline of y axis

### setWall

    public void setWall(AreaFormatInfo wall)

  Set the Information of wall

  Parameters:
    `wall` - the Information of wall

### getWall

    public AreaFormatInfo getWall()

  Get the Information of wall

  Returns:
    the Information of wall

### setXAxis

    public void setXAxis(AxisInfo xAxis)

  Set the Information of x axis

  Parameters:
    `xAxis` - the Information of x axis

### getXAxis

    public AxisInfo getXAxis()

  Get the Information of x axis

  Returns:
    the Information of x axis

### setYAxis

    public void setYAxis(YAxisInfo yAxis)

  Set the Information of y axis

  Parameters:
    `yAxis` - the Information of y axis

### getYAxis

    public YAxisInfo getYAxis()

  Get the Information of y axis

  Returns:
    the Information of y axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD